Page MenuHomePhabricator

Add "older edit/newer edit" links to diff pages
Closed, ResolvedPublic

Description

As a user, I want to be able to quickly navigate through changes (diffs) of content.

This is particularly the case for the header-area, which is likely to be regularly edited. Possibly also for topic-summaries.

I.e.
http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Talk:Flow_QA&action=compare-header-revisions&header_newRevision=sc4jyjl2eaui59ij
should have ← Older edit and Newer edit → links, like
https://www.mediawiki.org/w/index.php?title=Flow&diff=prev&oldid=1345662
does.

including edit filter tags, eg https://en.wikipedia.org/w/index.php?title=Democratic_Party_%28United_States%29&diff=prev&oldid=594455920

Event Timeline

Quiddity created this task.Feb 20 2015, 1:22 AM
Quiddity updated the task description. (Show Details)
Quiddity raised the priority of this task from to Needs Triage.
Quiddity added a subscriber: Quiddity.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2015, 1:22 AM
Quiddity updated the task description. (Show Details)Feb 22 2015, 7:49 PM
Quiddity triaged this task as High priority.
Quiddity set Security to None.

Change 192720 had a related patch set uploaded (by EBernhardson):
Add Previous and next links to diff pages

https://gerrit.wikimedia.org/r/192720

Change 192720 merged by jenkins-bot:
Add Previous and next links to diff pages

https://gerrit.wikimedia.org/r/192720

DannyH closed this task as Resolved.Mar 10 2015, 12:27 AM

Works on beta